openshot::OutOfBoundsPoint Class Reference

Exception for an out of bounds key-frame point. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::OutOfBoundsPoint:

## Public Member Functions

| OutOfBoundsPoint (std::string message, int point_requested, int max_points)
| Constructor. More...
virtual | ~OutOfBoundsPoint () noexcept
Public Member Functions inherited from openshot::BaseException
| BaseException (std::string message)
virtual const char * | what () const noexcept
virtual | ~BaseException () noexcept

## Public Attributes

int | MaxPoints
int | PointRequested

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
std::string | m_message

## Detailed Description

Exception for an out of bounds key-frame point.

Definition at line 303 of file Exceptions.h.

## Constructor & Destructor Documentation

## OutOfBoundsPoint()

openshot::OutOfBoundsPoint::OutOfBoundsPoint | ( | std::string | message,
|  | int | point_requested,
|  | int | max_points
| ) |  |

inline

Constructor.

Parameters

  message | A message to accompany the exception
  point_requested | The out-of-bounds point requested
  max_points | The maximum available point value

Definition at line 315 of file Exceptions.h.

## ~OutOfBoundsPoint()

virtual openshot::OutOfBoundsPoint::~OutOfBoundsPoint | ( |  | ) |

inline virtual noexcept

Definition at line 317 of file Exceptions.h.

## Member Data Documentation

## MaxPoints

int openshot::OutOfBoundsPoint::MaxPoints

Definition at line 307 of file Exceptions.h.

## PointRequested

int openshot::OutOfBoundsPoint::PointRequested

Definition at line 306 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h